> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar hipervisores

<div id="permissions">
  ## Permisos
</div>

Requiere un usuario de servicio que tenga el permiso `ViewEnterpriseInfraDetails` a nivel de Enterprise.


## OpenAPI

````yaml es/v3-openapi.yaml GET /v3/enterprise/hypervisors
openapi: 3.1.0
info:
  description: API de Devin v3 con autenticación mediante usuario de servicio y RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/hypervisors:
    get:
      summary: Listar hipervisores
      operationId: handle_get_hypervisors_v3_enterprise_hypervisors_get
      parameters:
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
        - in: query
          name: status
          required: false
          schema:
            default: available
            enum:
              - available
              - restarting
              - disconnected
              - terminated
              - draining
              - all
            title: Status
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_HypervisorResponse_'
          description: Respuesta satisfactoria
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: No autorizado
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Prohibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: No encontrado
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Conflicto
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Contenido no procesable
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Demasiadas solicitudes
components:
  schemas:
    PaginatedResponse_HypervisorResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Cursor para obtener la siguiente página, o None si se trata de la
            última página.
          title: End Cursor
        has_next_page:
          default: false
          description: Indica si hay más elementos disponibles después de esta página.
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/HypervisorResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Recuento total opcional (puede omitirse para mejorar el
            rendimiento).
          title: Total
      required:
        - items
      title: PaginatedResponse[HypervisorResponse]
      type: object
    ProblemDetail:
      description: >-
        Cuerpo de error RFC 9457 application/problem+json para la API v3.


        detail se conserva del cuerpo heredado {"detail": ...} por
        compatibilidad con versiones anteriores; los

        otros miembros son adicionales. errors contiene errores de validación

        a nivel de campo (solo 422).
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: Explicación legible para humanos específica de esta ocurrencia.
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: Errores de validación por campo (solo en respuestas 422).
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: Una referencia URI (la ruta de la solicitud) para esta ocurrencia.
          title: Instance
        status:
          description: El código de estado HTTP.
          title: Status
          type: integer
        title:
          description: Un breve resumen del tipo de problema, legible para humanos.
          title: Title
          type: string
        type:
          default: about:blank
          description: Una referencia URI que identifica el tipo de problema.
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    HypervisorResponse:
      properties:
        cloud_provider_instance_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Provider Instance Id
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
        hypervisor_id:
          title: Hypervisor Id
          type: string
        last_heartbeat:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Heartbeat
        status:
          title: Status
          type: string
        utilization_percentage:
          title: Utilization Percentage
          type: number
      required:
        - hypervisor_id
        - status
        - utilization_percentage
        - created_at
        - last_heartbeat
        - cloud_provider_instance_id
      title: HypervisorResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuario de servicio (prefijo: cog_)'
      scheme: bearer
      type: http

````